This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 426466 - anaconda resizes lvm even when lv is selected to be formatted during install
anaconda resizes lvm even when lv is selected to be formatted during install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2007-12-21 05:36 EST by G.Wolfe Woodbury
Modified: 2008-01-17 13:29 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 13:29:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2007-12-21 05:36:15 EST
Description of problem:
  installing rawhide of 2007-12-20, I had /usr on an LVM lv.  I selected to
reduce the size of the lv, and selected to format the "partition".  Anaconda
spent way too much time resizing the lv prior to formatting the newly resized
filesystem.

Version-Release number of selected component (if applicable):
  anaconda 11.4.0.11

How reproducible:
  unknown

Steps to Reproduce:
1. install rawhide
2. resize an existing logical volume
3. also select to format the filesystem
  
Actual results:
  The horizontal "bouncer" ate large portions of the CPU time, while anaconda
was fscking the filesystem prior to resizing.  And all this wasted effort was
done for a filesystem that was immediately reformatted.


Expected results:
   I'd check the format flag prior to doing the resize and skip the fsck if the
result is going to be reformatted.


Additional info:
Comment 1 Jeremy Katz 2007-12-21 09:02:17 EST
Yeah, this is on my todo list, just haven't gotten there yet.  Thanks for filing
so I don't forget about it :)
Comment 2 Jeremy Katz 2007-12-26 22:14:10 EST
Fixed in git

Note You need to log in before you can comment on or make changes to this bug.